
%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Nagios-Plugin

Summary: Perl module with common stuff for nagios plugins
Name: perl-Nagios-Plugin
Version: 0.17
Release: 1.rf
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Nagios-Plugin/

Packager: Christoph Maser <cmr@financial.com>
Vendor: RPMForge http://www.rpmforge.net/

Source: http://search.cpan.org/CPAN/authors/id/G/GA/GAVINC/Nagios-Plugin-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl

Requires: perl-Class-Accessor

%description
Nagios::Plugin and its associated Nagios::Plugin::* modules are a
family of perl modules to streamline writing Nagios plugins. The main
end user modules are Nagios::Plugin, providing an object-oriented
interface to the entire Nagios::Plugin::* collection, and
Nagios::Plugin::Functions, providing a simpler functional interface to
a useful subset of the available functionality.

The purpose of the collection is to make it as simple as possible for
developers to create plugins that conform the Nagios Plugin guidelines
(http://nagiosplug.sourceforge.net/developer-guidelines.html).


%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes
%doc %{_mandir}/man3/*
%{perl_vendorlib}/Nagios/Plugin.pm
%{perl_vendorlib}/Nagios/Plugin/ExitResult.pm
%{perl_vendorlib}/Nagios/Plugin/Functions.pm
%{perl_vendorlib}/Nagios/Plugin/Getopt.pm
%{perl_vendorlib}/Nagios/Plugin/Performance.pm
%{perl_vendorlib}/Nagios/Plugin/Range.pm
%{perl_vendorlib}/Nagios/Plugin/Threshold.pm
%{perl_vendorlib}/Nagios/Plugin/Config.pm


%changelog
* Fri Feb 23 2007 Christoph Maser <cmr@financial.com> - 0.15
- Initial package.
